Subject: Re: [PATCH 0/4] SUNRPC: pass network namespace context to sockaddr construction routines

From: Stanislav Kinsbursky <[email-masked]>
Date: Mon, 12 Dec 2011 20:13:24 +0400

09.12.2011 00:46, J. Bruce Fields пишет:
> On Wed, Dec 07, 2011 at 03:20:07PM +0300, Stanislav Kinsbursky wrote:
>> This is another precursor patch set aimed to remove hard-coded "init_net"
>> reference from SUNRPC sockaddr convertion and construction routines.
>
> ACK--all look straightforward.  (Only complaint would be that this isn't
> terribly interesting till we see how these are used.)
>

Actually, all is simple. These init_net pointers will be replaced later by 
"transports, clients and others" network namespace contexts.
I have some more patches for NFS layer. But I don't see any sense to sent them 
now since no "virtualization" patches were commited yet.
So, currently, I'm trying to finalize "SUNRPC per network namespace" task, and 
soon I'll send a patch set making SUNRPC sysctl's network-namespace-aware. It is 
a little bit tricky and ugly from my pow, so any ideas are welcome.

> --b.
>
>
>>
>> The following series consists of:
>>
>> ---
>>
>> Stanislav Kinsbursky (4):
>>        SUNRPC: use passed network namespace context in rpc_parse_scope_id()
>>        SUNRPC: use passed network namespace context in rpc_pton6()
>>        SUNRPC: use passed network namespace context in rpc_pton()
>>        SUNRPC: use passed network namespace context in rpc_uaddr2sockaddr()
>>
>>
>>   fs/nfs/dns_resolve.c        |    4 ++--
>>   fs/nfs/nfs4filelayoutdev.c  |    2 +-
>>   fs/nfs/nfs4namespace.c      |    2 +-
>>   fs/nfs/super.c              |    4 ++--
>>   fs/nfsd/nfs4state.c         |    2 +-
>>   fs/nfsd/nfsctl.c            |    2 +-
>>   include/linux/sunrpc/clnt.h |    4 ++--
>>   net/sunrpc/addr.c           |   24 +++++++++++++-----------
>>   net/sunrpc/rpcb_clnt.c      |    2 +-
>>   net/sunrpc/svcauth_unix.c   |    2 +-
>>   10 files changed, 25 insertions(+), 23 deletions(-)
>>
>> --
>> Signature

-- 
Best regards,
Stanislav Kinsbursky